Bug 116899 - [CMAKE] cmake errors when CMAKE_BUILD_TYPE is not specified.
Summary: [CMAKE] cmake errors when CMAKE_BUILD_TYPE is not specified.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit EFL (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Ryuan Choi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-28 16:21 PDT by Ryuan Choi
Modified: 2013-10-23 21:17 PDT (History)
7 users (show)

See Also:


Attachments
Patch (1.43 KB, patch)
2013-05-28 16:26 PDT, Ryuan Choi
no flags Details | Formatted Diff | Diff
Patch (1.52 KB, patch)
2013-05-28 22:46 PDT, Ryuan Choi
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from webkit-ews-10 for mac-mountainlion-wk2 (535.82 KB, application/zip)
2013-05-29 06:31 PDT, Build Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ryuan Choi 2013-05-28 16:21:39 PDT
Find command in cmake returns -1 when it fails.
But, -1 is also true expression of if statement.
Comment 1 Ryuan Choi 2013-05-28 16:26:55 PDT
Created attachment 203105 [details]
Patch
Comment 2 Laszlo Gombos 2013-05-28 19:43:31 PDT
Comment on attachment 203105 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=203105&action=review

> Source/WebCore/CMakeLists.txt:2550
>      string(FIND ${_CXXFLAGS_VARNAME} "-O3" _CXXFLAGS_HAS_O3)

If FIND returns and index and not a boolean, than _CXXFLAGS_HAS_O3 is poorly named. Perhaps _CXXFLAGS_O3_INDEX ?

> Source/WebCore/CMakeLists.txt:2551
> +    if (NOT _CXXFLAGS_HAS_O3 EQUAL -1)

I find (_CXXFLAGS_O3_INDEX > -1) easier to read.
Comment 3 Ryuan Choi 2013-05-28 22:46:54 PDT
Created attachment 203121 [details]
Patch
Comment 4 Laszlo Gombos 2013-05-29 06:19:24 PDT
Comment on attachment 203121 [details]
Patch

r=me.
Comment 5 Build Bot 2013-05-29 06:31:37 PDT
Comment on attachment 203121 [details]
Patch

Attachment 203121 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.appspot.com/results/696275

New failing tests:
fast/dom/location-new-window-no-crash.html
Comment 6 Build Bot 2013-05-29 06:31:39 PDT
Created attachment 203192 [details]
Archive of layout-test-results from webkit-ews-10 for mac-mountainlion-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: webkit-ews-10  Port: mac-mountainlion-wk2  Platform: Mac OS X 10.8.3
Comment 7 Ryuan Choi 2013-05-29 18:19:52 PDT
Committed r150940: <http://trac.webkit.org/changeset/150940>
Comment 8 Ryuan Choi 2013-05-29 18:20:50 PDT
Comment on attachment 203121 [details]
Patch

Thanks.

Clearding flags after manually landed.

Because this is for fixing cmake script, layout tests are not related.
Comment 9 Csaba Osztrogonác 2013-06-02 13:03:43 PDT
One more fix landed in https://trac.webkit.org/changeset/151083
Comment 10 Ryuan Choi 2013-10-23 18:38:20 PDT
(In reply to comment #9)
> One more fix landed in https://trac.webkit.org/changeset/151083

With r151083, I have another build break.

CMake Error at Source/WebCore/CMakeLists.txt:2533 (string):
  string sub-command FIND requires 3 or 4 parameters.
Comment 11 Ryuan Choi 2013-10-23 21:17:31 PDT
(In reply to comment #10)
> (In reply to comment #9)
> > One more fix landed in https://trac.webkit.org/changeset/151083
> 
> With r151083, I have another build break.
> 
> CMake Error at Source/WebCore/CMakeLists.txt:2533 (string):
>   string sub-command FIND requires 3 or 4 parameters.

This issue will be fixed in http://trac.webkit.org/changeset/157911